%define srcver 1.8.0

Summary:	OpenH323 Library
Name:		openh323
Version:	%{srcver}
Release:	3mdk
License:	MPL
Group:		System/Libraries
Source0:	http://www.openh323.org/bin/%{name}_%{srcver}.tar.bz2
Patch0:		%{name}-1.7.1-mak_files.patch.bz2
Patch1:		%{name}-1.8.0-libname.patch.bz2
Patch2:		%{name}-1.8.0-timeout.patch.bz2
URL:		http://www.openh323.org/
BuildRequires:	pwlib-devel >= 1.2.12 XFree86-devel openssl-devel gawk
%ifarch ppc
BuildRequires:	egcs-c++
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Open Source class library for the development of
applications that wish to use the H.323 protocol for multi-media
communications over packet based networks.

%package -n openh323_1
Summary:	OpenH323 Library
Group:		System/Libraries

%description  -n openh323_1
he OpenH323 project aims to create a full featured, interoperable,
Open Source implementation of the ITU H.323 teleconferencing protocol
that can be used by personal developers and commercial users without
charge.

%package -n openh323_1-devel
Summary:	OpenH323 development files
Group:          Development/C
Requires:	openh323_1 = %{version}
Provides:	openh323-devel

%description -n openh323_1-devel
Header files and libraries for developing applications that use
OpenH323.

%prep
%setup -qn %{name}
%patch0 -p1 -b .fix_mak
%patch1 -p1 -b .libname
%patch2 -p1 -b .timeout

%build
(mkdir pwlibdir; cd pwlibdir;
ln -s %{_prefix}/share/pwlib make
ln -s %{_prefix}/share share
ln -s %{_prefix}/include include
ln -s %{_prefix}/lib lib
mkdir -p tools
ln -s %{_prefix}/bin tools/asnparser
ln -s %{_prefix}/bin bin
)
export PWLIBDIR=%{_builddir}/openh323/pwlibdir
export OPENH323DIR=%{_builddir}/openh323
%ifarch ppc
export CPLUS=egcs++
%endif
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/openh323,%{_bindir},%{_datadir}/misc}

cp -a lib/lib* $RPM_BUILD_ROOT%{_libdir}
install include/*.h $RPM_BUILD_ROOT%{_includedir}/openh323

sed -e's@\$(OPENH323DIR)/include@&/openh323@' < openh323u.mak \
	> $RPM_BUILD_ROOT%{_datadir}/misc/openh323u.mak

gzip -9nf *.txt || :

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig -n openh323_1
%postun -p /sbin/ldconfig -n openh323_1

%files -n openh323_1
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n openh323_1-devel
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.8.0-3mdk
- recompile with the latest pwlib

* Wed Feb 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.8.0-2mdk
- PPC gcc295 doesn't care for data member `ip_opts' with same 
- name as enclosing class - build with egcs++

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0
- add the timeout patch
- update the requires
- update the libname patch

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 1.7.4-1mdk
- 1.7.1
- new libname patch

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.7.3-1mdk
- 1.7.3

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 1.7.1-1mdk
- 1.7.1

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 1.6.1-2mdk
- update the fix patch

* Tue Sep 11 2001 Florin <florin@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- add the fix patch

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 1.6.0-2mdk
- modify a little bit the patch and merge with redhat

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5.6-1mdk
- 1.5.6 (reworked patch 0)

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-4mdk
- add description
- bzipped patches

* Thu Jun 21 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-3mdk
- BuildRequires:	XFree86-devel

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-2mdk
- BuildRequires:	pwlib-devel

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
